Bug 1240063 - wxpdfdoc: FTBFS in rawhide
Summary: wxpdfdoc: FTBFS in rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wxpdfdoc
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:27 UTC by Dennis Gilmore
Modified: 2015-08-27 17:58 UTC (History)
2 users (show)

Fixed In Version: 0.9.3-7.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-27 17:58:02 UTC
Type: ---


Attachments (Terms of Use)
build.log (2.08 MB, text/plain)
2015-07-05 21:27 UTC, Dennis Gilmore
no flags Details
root.log (95.70 KB, text/plain)
2015-07-05 21:27 UTC, Dennis Gilmore
no flags Details
state.log (625 bytes, text/plain)
2015-07-05 21:27 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2015-07-05 21:27:04 UTC
Your package wxpdfdoc failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10157522

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:27:06 UTC
Created attachment 1048504 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:27:07 UTC
Created attachment 1048505 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:27:08 UTC
Created attachment 1048506 [details]
state.log

Comment 4 Jan Kurik 2015-07-15 13:22:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Ralf Corsepius 2015-08-21 14:12:25 UTC
Taking.

This package FTBFS'ed, because it's GNUmakefile did not receive RPM_OPT_FLAGS.

On Fedora < 23 this did not raise an FTBFS even though these packages likely were miscompiled.

I am going to apply a patch to the spec.

Comment 7 Fedora Update System 2015-08-21 17:18:02 UTC
wxpdfdoc-0.9.3-7.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1240063

Comment 8 Domingo Becker 2015-08-21 23:50:24 UTC
Thank you, Ralf!

Comment 9 Ralf Corsepius 2015-08-22 03:25:12 UTC
(In reply to Domingo Becker from comment #8)
> Thank you, Ralf!
Welcome.

BTW: There seems to be a newer version (0.9.4) out than what is shipped in your package: http://wxcode.sourceforge.net/components/wxpdfdoc/

However, I haven't looked into that version and do not know about what has changed, been broken or improved ;)

Comment 10 Fedora Update System 2015-08-22 16:24:22 UTC
wxpdfdoc-0.9.3-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wxpdfdoc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13934

Comment 11 Fedora Update System 2015-08-27 17:58:01 UTC
wxpdfdoc-0.9.3-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.